## exiv2 0.28.3+dfsg

=== debian/changelog ===
exiv2 (0.28.3+dfsg-2~ab12+1) bookworm-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    1de60eca94a19fd4ddaf819e8b0a3fd8e09cd5bd.
  * External port from:
    https://deb.debian.org/debian/pool/main/e/exiv2/exiv2_0.28.3+dfsg-
    2.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Mon, 07 Oct 2024 14:00:15 +0200

exiv2 (0.28.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable (see #1080439).

 -- Pino Toscano <pino@debian.org>  Thu, 05 Sep 2024 19:02:33 +0200

exiv2 (0.28.3+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jul 2024 12:56:53 +0200

exiv2 (0.28.2+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2024-24826, and CVE-2024-25112
  * Update the patches:
    - upstream_install-exiv2-cmake-module-in-LIBDIR.patch: drop, backported
      from upstream
    - upstream_tests-fix-parsing-w-path-containing-pa-or-pS.patch: drop,
      backported from upstream
    - cmake-restore-a-exiv2lib-target.diff: drop, fixed upstream
  * Update the symbols file.

 -- Pino Toscano <pino@debian.org>  Fri, 16 Feb 2024 06:21:00 +0100

exiv2 (0.28.1+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Replace patch tests-fix-parsing-w-path-containing-pa-or-pS.diff with the
    upstream commit 1667bb947e5b74db0dc47ba642fc9e5fa86f1484; patch
    upstream_tests-fix-parsing-w-path-containing-pa-or-pS.patch.
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2832 to restore
    the "exiv2lib" cmake target; patch cmake-restore-a-exiv2lib-target.diff.
  * Stop requiring the static dependencies from the cmake config file; patch
    cmake-no-private.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2023 12:03:09 +0100

exiv2 (0.28.1+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Replace patch cmake-config-installdir.diff with the upstream commit
    c351c7cce317571934abf693055779a59df30d6e; patch
    upstream_install-exiv2-cmake-module-in-LIBDIR.patch.
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2826 to fix
    one test case of tiffTest in case the full source path contains "-pa" or
    "-pS" (e.g. the "reproducible-path" component used since recent times on
    buildds); patch tests-fix-parsing-w-path-containing-pa-or-pS.diff.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Nov 2023 01:36:45 +0100

exiv2 (0.28.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2023-44398 (Closes: #1055470)
  * Update the patches:
    - upstream_avoid-LTO-issues.patch: drop, backported from upstream
    - upstream_asf-fix-GUID-reading-on-big-endian-platforms.patch: drop,
      backported from upstream
    - tests-do-not-hardcode-ENOENT.diff: drop, fixed upstream
  * Backport the upstream PR https://github.com/Exiv2/exiv2/pull/2819 to fix
    the installation of the CMake config files in the library directory;
    cmake-config-installdir.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Nov 2023 22:41:59 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

CMAKE_COMMON_ARGS = \
	-DEXIV2_ENABLE_BMFF=ON \
	-DEXIV2_ENABLE_NLS=ON \
	-DEXIV2_ENABLE_VIDEO=ON \
	-DEXIV2_ENABLE_WEBREADY=ON \
	-DEXIV2_BUILD_UNIT_TESTS=ON \
	-DEXIV2_BUILD_SAMPLES=OFF

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	    $(CMAKE_COMMON_ARGS) \
	    -DEXIV2_BUILD_DOC=$(if $(filter libexiv2-doc, $(shell dh_listpackages)),ON,OFF) \
	    -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/exiv2/html

execute_after_dh_auto_install:
	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d

execute_after_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_test:
	# path conflicts between the tests
	dh_auto_test --no-parallel

override_dh_installdocs:
	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog
	find $(CURDIR)/debian -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
	find $(CURDIR)/debian \( -name '*.map' -o -name '*.md5' \) -delete

override_dh_installchangelogs:
	dh_installchangelogs -A doc/ChangeLog

override_dh_compress:
	dh_compress -X.js -X.xml

execute_after_dh_fixperms-indep:
	find $(CURDIR)/debian/libexiv2-doc -name '*.ini' -exec chmod -x {} \;

## exiv2 0.28.4+dfsg

=== debian/changelog ===
exiv2 (0.28.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit facce628f3622764e91a8161f89ade8cb34bc120 to
    reintroduce the copy constructors for TIFF-related classes, fixing
    CVE-2025-26623; patch upstream_Revert-fix-copy-constructors.patch.
    (Closes: #1098323)
  * Drop permission fixing of .ini files, as now they all have the right
    permissions already.
  * Move some cmake parameters directly in the dh_auto_configure invocation
    rather than as a separate variable: there is no more double build, as
    done in the past.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Feb 2025 07:48:47 +0100

exiv2 (0.28.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-no-private.diff: drop, fixed upstream
  * Bump standards version to 4.7.0, no changes required.
  * Drop breaks/replaces for versions older than what is in Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 17:43:14 +0100

=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Steve M. Robbins <smr@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.11.0~),
               debhelper-compat (= 13),
               gettext,
               libbrotli-dev,
               libgmock-dev,
               libgtest-dev,
               libinih-dev,
               libexpat1-dev,
               pkg-kde-tools,
               python3:any,
               zlib1g-dev,
Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.exiv2.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git

Package: exiv2
Architecture: any
Depends: libexiv2-28 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: EXIF/IPTC/XMP metadata manipulation tool
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 command line utility to:
 .
  * print Exif, IPTC and XMP image metadata in different formats:
    - Exif summary info, interpreted values, or the plain data for each tag
  * set, add and delete Exif, IPTC and XMP image metadata from command line
    modify commands or command scripts
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif, IPTC and XMP metadata and JPEG comments
  * extract previews from RAW images and thumbnails from the Exif metadata
  * insert and delete the thumbnail image embedded in the Exif metadata
  * print, set and delete the JPEG comment of JPEG images
  * fix the Exif ISO setting of picture taken with Canon and Nikon cameras

Package: libexiv2-28
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
         libexiv2-data (>= ${source:Version}),
Suggests: exiv2
Multi-Arch: same
Description: EXIF/IPTC/XMP metadata manipulation library
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 library provides:
  * fast read and write access to the Exif, IPTC, and XMP metadata of an image
  * an easy to use and extensively documented API
  * conversions of Exif and IPTC metadata to XMP and vice versa
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * Exif Makernote support:
    - Makernote tags can be read and written just like any other metadata
    - a sophisticated write algorithm avoids corrupting the Makernote
  * a simple interface to extract previews embedded in RAW images and Exif
    thumbnails
  * set and delete methods for Exif thumbnails

Package: libexiv2-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libexiv2-27 (<< 0.28~)
Replaces: libexiv2-27 (<< 0.28~)
Multi-Arch: foreign
Description: EXIF/IPTC/XMP metadata manipulation library - shared data
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the data files of the exiv2 library.

Package: libexiv2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libexiv2-28 (= ${binary:Version}), ${misc:Depends}
Suggests: libexiv2-doc
Description: EXIF/IPTC/XMP metadata manipulation library - development files
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the development files for using exiv2.

Package: libexiv2-doc
Depends: libjs-jquery, ${misc:Depends}
Section: doc
Architecture: all
Multi-Arch: foreign
Description: EXIF/IPTC/XMP metadata manipulation library - HTML documentation
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the Exiv2 HTML documentation.

## exiv2 0.28.5

=== debian/changelog ===
exiv2 (0.28.5-0zneon+24.04+noble+unstable+build3) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:52:42 +0000

exiv2 (0.28.5-0neon) noble; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards version to 4.7.1, no changes required.
  * Update the patches:
    - upstream_Revert-fix-copy-constructors.patch: drop, backported from
      upstream
    - pkgconfig-no-private.diff: mark as vendor-specific, since upstream did
      not agree on changing the pkg-config file for shared library builds

 -- Pino Toscano <pino@debian.org>  Wed, 26 Feb 2025 07:09:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>,
-           Steve M. Robbins <smr@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>, Steve M. Robbins <smr@debian.org>
 Build-Depends: chrpath,
                cmake (>= 3.11.0~),
                debhelper-compat (= 13),
                gettext,
                libbrotli-dev,
+               libexpat1-dev,
                libgmock-dev,
                libgtest-dev,
                libinih-dev,
-               libexpat1-dev,
                pkg-kde-tools,
                python3:any,
-               zlib1g-dev,
+               zlib1g-dev
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://www.exiv2.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git
+Vcs-Git: https://invent.kde.org/neon/backports-noble/exiv2-noble.git
+Vcs-Browser: https://invent.kde.org/neon/backports-noble/exiv2-noble
+Maintainer: Neon CI <neon@kde.org>
 
 Package: exiv2
 Architecture: any
@@ -49,8 +48,9 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         libexiv2-data (>= ${source:Version}),
+Depends: libexiv2-data (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: exiv2
 Multi-Arch: same
 Description: EXIF/IPTC/XMP metadata manipulation library

## exiv2 0.28.5%2Bdfsg

=== CMakeLists.txt ===
# Minimum version imposed by Centos:8
cmake_minimum_required( VERSION 3.11.0 )

project(exiv2
    VERSION 0.28.5
    DESCRIPTION    "Exif/IPTC/Xmp C++ metadata library and tools plus ICC Profiles, Previews and more."
    LANGUAGES C CXX
)

# Shared Object versioning (SemVer-like: must bump major on API breakage)
if(PROJECT_VERSION_MAJOR EQUAL 0)
  # support legacy scheme (e.g. 0.27.x -> 27)
  set(EXIV2LIB_SOVERSION ${PROJECT_VERSION_MINOR})
else()
  # restart from 30
  math(EXPR EXIV2LIB_SOVERSION "30 + (${PROJECT_VERSION_MAJOR} - 1)")
endif()

if(NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release)
endif()

include(cmake/mainSetup.cmake  REQUIRED)

# options and their default values
option( BUILD_SHARED_LIBS             "Build exiv2lib as a shared library"                    ON  )
option( EXIV2_ENABLE_XMP              "Build with XMP metadata support"                       ON  )
option( EXIV2_ENABLE_EXTERNAL_XMP     "Use external version of XMP"                           OFF )
option( EXIV2_ENABLE_PNG              "Build with PNG support (requires zlib)"                ON  )
option( EXIV2_ENABLE_NLS              "Build native language support (requires gettext)"      OFF )
option( EXIV2_ENABLE_LENSDATA         "Build including Nikon lens data"                       ON  )
option( EXIV2_ENABLE_DYNAMIC_RUNTIME  "Use dynamic runtime (used for static libs)"            ON  )
option( EXIV2_ENABLE_WEBREADY         "Build webready support into library"                   OFF )
option( EXIV2_ENABLE_CURL             "Use libcurl for HttpIo (WEBREADY)"                     OFF )
option( EXIV2_ENABLE_BMFF             "Build with BMFF support"                               ON  )
option( EXIV2_ENABLE_BROTLI           "Use Brotli for JPEG XL compressed boxes (BMFF)"        ON  )
option( EXIV2_ENABLE_VIDEO            "Build with video support"                              ON )
option( EXIV2_ENABLE_INIH             "Use inih library"                                      ON  )
option( EXIV2_ENABLE_FILESYSTEM_ACCESS "Build with filesystem access"                          ON)

option( EXIV2_BUILD_SAMPLES           "Build sample applications"                             OFF )
option( EXIV2_BUILD_EXIV2_COMMAND     "Build exiv2 command-line executable"                   ON  )
option( EXIV2_BUILD_UNIT_TESTS        "Build unit tests"                                      OFF )
option( EXIV2_BUILD_FUZZ_TESTS        "Build fuzz tests (libFuzzer)"                          OFF )
option( EXIV2_BUILD_DOC               "Add 'doc' target to generate documentation"            OFF )

# Only intended to be used by Exiv2 developers/contributors
option( EXIV2_TEAM_EXTRA_WARNINGS     "Add more sanity checks using compiler flags"           OFF )
option( EXIV2_TEAM_WARNINGS_AS_ERRORS "Treat warnings as errors"                              OFF )
option( EXIV2_TEAM_USE_SANITIZERS     "Enable ASAN and UBSAN when available"                  OFF )

# The EXIV2_TEAM_OSS_FUZZ option is used by the OSS-Fuzz build script:
# https://github.com/google/oss-fuzz/tree/master/projects/exiv2/build.sh
option( EXIV2_TEAM_OSS_FUZZ           "Build config for OSS-Fuzz"                             OFF )

option( EXIV2_TEAM_PACKAGING          "Additional stuff for generating packages"              OFF )
set(EXTRA_COMPILE_FLAGS " ")

mark_as_advanced(
    EXIV2_TEAM_EXTRA_WARNINGS
    EXIV2_TEAM_WARNINGS_AS_ERRORS
    EXIV2_ENABLE_EXTERNAL_XMP
    EXTRA_COMPILE_FLAGS
    EXIV2_TEAM_USE_SANITIZERS
)

option( BUILD_WITH_STACK_PROTECTOR    "Build with stack protector"                            ON )
option( BUILD_WITH_CCACHE             "Use ccache to speed up compilations"                   OFF )
option( BUILD_WITH_COVERAGE           "Add compiler flags to generate coverage stats"         OFF )
include(cmake/gcovr.cmake REQUIRED)

set( PACKAGE_URL                      "https://exiv2.org")

if ( EXIV2_ENABLE_EXTERNAL_XMP )
  set(EXIV2_ENABLE_XMP OFF)
endif()

include(cmake/findDependencies.cmake   REQUIRED)
include(cmake/compilerFlags.cmake      REQUIRED)
include(cmake/generateConfigFile.cmake REQUIRED)

if (EXIV2_BUILD_DOC)
  include(cmake/generateDoc.cmake        REQUIRED)
  generate_documentation("${PROJECT_SOURCE_DIR}/cmake/Doxyfile.in")
endif()

include_directories(${CMAKE_BINARY_DIR})  # Make the exv_conf.h file visible for the full project

if( EXIV2_ENABLE_XMP )
  add_subdirectory( xmpsdk )
endif()

include(cmake/compilerFlagsExiv2.cmake REQUIRED)

add_subdirectory( src )

if( EXIV2_BUILD_UNIT_TESTS )
  add_subdirectory ( unitTests )
  set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)
endif()

if( EXIV2_BUILD_FUZZ_TESTS )
  add_subdirectory ( fuzz )
  set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)
endif()

if(EXIV2_BUILD_EXIV2_COMMAND)
  add_subdirectory ( app )
  set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)

if( EXIV2_BUILD_SAMPLES )
    add_subdirectory( samples )
    set(EXIV2_ENABLE_FILESYSTEM_ACCESS ON)
    get_directory_property(SAMPLES DIRECTORY samples DEFINITION APPLICATIONS)

    if (Python3_Interpreter_FOUND)
      add_test(NAME bashTests
          WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
          COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose bash_tests)
    endif()
endif()

if (Python3_Interpreter_FOUND)
    add_test(NAME bugfixTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose bugfixes)
    add_test(NAME lensTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose lens_tests)
    add_test(NAME tiffTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose tiff_test)
    add_test(NAME versionTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose bash_tests/version_test.py )
    add_test(NAME regressionTests
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/tests
        COMMAND cmake -E env EXIV2_BINDIR=${CMAKE_RUNTIME_OUTPUT_DIRECTORY} ${Python3_EXECUTABLE} runner.py --verbose regression_tests)
endif()

endif()

if( EXIV2_ENABLE_NLS )
  add_subdirectory( po )
endif()

if (EXIV2_TEAM_PACKAGING)
  include(cmake/packaging.cmake)
endif()

# Handle both relative and absolute paths (e.g. NixOS) for a relocatable package
if(IS_ABSOLUTE "${CMAKE_INSTALL_LIBDIR}")
    set(libdir_for_pc_file "${CMAKE_INSTALL_LIBDIR}")
else()
    join_paths(libdir_for_pc_file "\${exec_prefix}" "${CMAKE_INSTALL_LIBDIR}")
endif()
if(IS_ABSOLUTE "${CMAKE_INSTALL_INCLUDEDIR}")
    set(includedir_for_pc_file "${CMAKE_INSTALL_INCLUDEDIR}")
else()
    join_paths(includedir_for_pc_file "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
endif()
configure_file(cmake/exiv2.pc.in exiv2.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/exiv2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# ******************************************************************************
# Man page
install( FILES ${PROJECT_SOURCE_DIR}/man/man1/exiv2.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )

include(cmake/printSummary.cmake)

# That's all Folks!
##

=== fuzz/CMakeLists.txt ===

macro(fuzzer name)
    add_executable(${name} ${name}.cpp)

    # The EXIV2_TEAM_OSS_FUZZ option is used by the OSS-Fuzz build script:
    # https://github.com/google/oss-fuzz/tree/master/projects/exiv2/build.sh
    # OSS-Fuzz wants full control of the sanitizer flags, and it uses
    # the LIB_FUZZING_ENGINE option to supply its own main function.
    if(EXIV2_TEAM_OSS_FUZZ)
        set_target_properties(${name}
                PROPERTIES
                    LINK_FLAGS "${LIB_FUZZING_ENGINE}")
    else()
        set_target_properties(${name}
                PROPERTIES
                    COMPILE_FLAGS "-fsanitize=fuzzer"
                    LINK_FLAGS "-fsanitize=fuzzer")
    endif()
    target_link_libraries(${name} PRIVATE exiv2lib std::filesystem)
endmacro()

fuzzer(fuzz-read-print-write)

## exiv2 0.28.5+dfsg

=== debian/changelog ===
exiv2 (0.28.5+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards version to 4.7.1, no changes required.
  * Update the patches:
    - upstream_Revert-fix-copy-constructors.patch: drop, backported from
      upstream
    - pkgconfig-no-private.diff: mark as vendor-specific, since upstream did
      not agree on changing the pkg-config file for shared library builds

 -- Pino Toscano <pino@debian.org>  Wed, 26 Feb 2025 07:09:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Uploaders: Mark Purcell <msp@debian.org>, Steve M. Robbins <smr@debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
+           Steve M. Robbins <smr@debian.org>
 Build-Depends: chrpath,
                cmake (>= 3.11.0~),
                debhelper-compat (= 13),
                gettext,
                libbrotli-dev,
-               libexpat1-dev,
                libgmock-dev,
                libgtest-dev,
                libinih-dev,
+               libexpat1-dev,
                pkg-kde-tools,
                python3:any,
-               zlib1g-dev
+               zlib1g-dev,
 Build-Depends-Indep: doxygen, graphviz, libjs-jquery, xsltproc
 Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://www.exiv2.org/
-Vcs-Git: https://invent.kde.org/neon/backports-noble/exiv2-noble.git
-Vcs-Browser: https://invent.kde.org/neon/backports-noble/exiv2-noble
-Maintainer: Neon CI <neon@kde.org>
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/exiv2.git
 
 Package: exiv2
 Architecture: any
@@ -48,9 +49,8 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libexiv2-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         libexiv2-data (>= ${source:Version}),
 Suggests: exiv2
 Multi-Arch: same
 Description: EXIF/IPTC/XMP metadata manipulation library

=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,18 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
-
-CMAKE_COMMON_ARGS = \
-	-DEXIV2_ENABLE_BMFF=ON \
-	-DEXIV2_ENABLE_NLS=ON \
-	-DEXIV2_ENABLE_VIDEO=ON \
-	-DEXIV2_ENABLE_WEBREADY=ON \
-	-DEXIV2_BUILD_UNIT_TESTS=ON \
-	-DEXIV2_BUILD_SAMPLES=OFF
 
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    $(CMAKE_COMMON_ARGS) \
+	    -DEXIV2_ENABLE_BMFF=ON \
+	    -DEXIV2_ENABLE_NLS=ON \
+	    -DEXIV2_ENABLE_VIDEO=ON \
+	    -DEXIV2_ENABLE_WEBREADY=ON \
+	    -DEXIV2_BUILD_UNIT_TESTS=ON \
+	    -DEXIV2_BUILD_SAMPLES=OFF \
 	    -DEXIV2_BUILD_DOC=$(if $(filter libexiv2-doc, $(shell dh_listpackages)),ON,OFF) \
 	    -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/exiv2/html
 
@@ -39,6 +36,3 @@
 
 override_dh_compress:
 	dh_compress -X.js -X.xml
-
-execute_after_dh_fixperms-indep:
-	find $(CURDIR)/debian/libexiv2-doc -name '*.ini' -exec chmod -x {} \;
